class GroupAdminAllowAllPolicy(object):
    """Authorization policy allowing admin group to do everything."""

    def permits(self, context, principals, permission):
        if 'group:admin' in principals:
            return True
        return False

    def principals_allowed_by_permission(self, context, permission):
        raise NotImplementedError()
