from ..user import User
from .view import View, Action
from pyramid.view import view_config


@view_config(route_name='user_list',
             renderer='templates/user/list.pt')
class ListUsers(View):

    title = 'Users'
    actions = [
        Action('Add human user', 'icon-plus', 'user_add_human'),
        Action('Add service user', 'icon-plus', 'user_add_service'),
    ]

    @property
    def users(self):
        return User.query()
