import gocept.directory2.machine


class Authenticator(object):

    # IAuthenticatorPlugin
    def authenticate(self, environ, identity):
        login = identity.get('login')
        password = identity.get('password')
        node = gocept.directory2.machine.Node.query().filter_by(
            name=login).first()
        if node is None:
            return None
        if not node.check_password(password):
            return None
        identity['gocept.directory.api.machine'] = node
        return login
