import gocept.directory2.admin.testing
import gocept.directory2.api.testing
import requests
import urllib2


class ConfigIsolationAdmin(gocept.directory2.admin.testing.BrowserTestCase):

    def test_api_routes_are_not_available_from_admin(self):
        with self.assertRaises(urllib2.HTTPError) as error:
            self.browser.open('http://localhost/directory')
            self.assertEqual(404, error.getcode())


class ConfigIsolationAPI(gocept.directory2.api.testing.XMLRPCTestCase):

    def test_admin_routes_are_not_available_from_api(self):
        url = 'http://%s%s' % (self.layer['http_address'], '/machine/list')
        response = requests.get(url)
        self.assertEqual(404, response.status_code)
